MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031336Open CASCADE[OCCT] OCCT:Modeling Datapublic2020-01-30 22:412020-02-23 12:25
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
DescriptionIt's proposed to allow creating box base on two gp_Pnt that will create thin box or point.
TagsNo tags attached.
Test case numbergeometry/preview/box, geometry/preview/edge, geometry/preview/rectangle, geometry/preview/vertex
Attached Filespng file icon create_preview.PNG (18,996 bytes) 2020-02-04 13:17

- Relationships
related to 0031368newsshutina Modeling data - extend BRepPrimAPI_MakeCone,BRepPrimAPI_MakeCylinder,BRepPrimAPI_MakeSphere with preview shape creation 
child of 0030268verifiedbugmaster Inspectors - improvements in VInspector plugin 

-  Notes
(0090233)
msv (developer)
2020-01-31 15:39

This will be invalid shape. What for will we allow our user level building tools creating invalid shapes?
(0090235)
git (administrator)
2020-01-31 16:37

Branch CR31336 has been created by sshutina.

SHA-1: 9b6e39f943adb8533447da416e6df5c852efecf4


Detailed log of new commits:

Author: sshutina
Date: Fri Jan 31 16:33:02 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
(0090281)
git (administrator)
2020-02-04 12:25

Branch CR31336 has been updated by sshutina.

SHA-1: 6b48c0590891b981267024f723404d3f6e7a9a84


Detailed log of new commits:

Author: sshutina
Date: Tue Feb 4 12:23:08 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation

(0090282)
git (administrator)
2020-02-04 12:43

Branch CR31336_1 has been created by sshutina.

SHA-1: 52036ce9f8a2068dd6121d148b21d223c7e21e63


Detailed log of new commits:

Author: sshutina
Date: Tue Feb 4 12:41:14 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
(0090283)
sshutina (developer)
2020-02-04 13:19

Dear Mikhail

could you please review CR31336_1.

Thank you a lot, Svetlana
(0090284)
msv (developer)
2020-02-04 14:02

Why on the picture creation of the box b outputs the error?
It seems the box 15 0 0 20 5 5 should be valid.
(0090285)
msv (developer)
2020-02-04 14:24

Please make more detailed explanation of the new feature in the commit message. The bug subject does not explain creation of the new package.
(0090286)
kgv (developer)
2020-02-04 14:57
edited on: 2020-02-04 15:00

+private:
+
+  //! Create a vertex if thin box in all directions is a point.
+  void MakeVertex();

Private and protected methods are expected to start lower-cased.

+  BRepPreviewAPI_MakeBox (const gp_Pnt& theFirstPoint, const gp_Pnt& theSecondPoint) :
+    BRepPrimAPI_MakeBox(),

BRepPrimAPI_MakeBox() is redundant here.

+
+class BRepPreviewAPI_MakeBox : public BRepPrimAPI_MakeBox
+{

Class description is missing.

+  gp_Pnt myFirstPoint;  //!< first point.
+  gp_Pnt mySecondPoint; //!< second point.

dot is redundant at the end of comment

+};
+#endif

Please put empty line after class definition.

+  //! Default constructor
+  Standard_EXPORT BRepPrim_GWedge() { std::cout << "Not valid box" << std::endl; 
} //TODO: make this case
...
+  //! Default constructor
+  Standard_EXPORT BRepPrim_Wedge() {}
...
+  //! Default constructor
+  Standard_EXPORT BRepPrimAPI_MakeBox() {}

Unexpected TODO and unexpected Standard_EXPORT for inline methods.

+//=======================================================================
+//function : Init
+//purpose  : .

Please avoid trailing spaces.

+void BRepPrimAPI_MakeBox::Init (const gp_Pnt& P, 
+                                const Standard_Real dx,
+                                const Standard_Real dy, 
+                                const Standard_Real dz)

Please follow OCCT Coding Rules recommendations in new code (thePnt, theDX, ...).

+  if (n > 8 && n < 11)
+  {
+    TopoDS_Shape S;
+    Standard_Real x1 = 0.0, y1 = 0.0, z1 = 0.0, x2 = 0.0, y2 = 0.0, z2 = 0.0;
+    for

Please implement general for-loop instead of two different loops.

+      anArgCase.LowerCase();
+        if (anArgCase == "-pnt1")

Broken indentation.

-//function : PrimitiveCommands
+//function : PrimitiveCommands                                                           C:\shutina\occt\CR29451_7\src\BRepTest\BRepTest_PrimitiveCommands.cxx


Artifact.

-  theCommands.Add("box","box name [x1 y1 z1] dx dy dz",__FILE__,box,g);
+  theCommands.Add("box","box name [x1 y1 z1] dx dy dz -pnt1 x y z -pnt2 x y z ",__FILE__,box,g);


Command description is missing.
You may take "bounding" command description as a sample:
  theCommands.Add ("bounding",
                   "bounding {shape | xmin ymin zmin xmax ymax zmax}"
         "\n\t\t:            [-obb] [-noTriangulation] [-optimal] [-extToler]"
         "\n\t\t:            [-dump] [-print] [-dumpJson] [-shape name] [-nodraw] [-finitePart]"
         
"\n\t\t:            [-save xmin ymin zmin xmax ymax zmax]"
         "\n\t\t:"
         "\n\t\t: Computes a bounding box. Two types of the source data are supported:"
         "\n\t\t: a shape or AABB corners (xmin, ymin, zmin, xmax, ymax, zmax)."
         "\n\t\t:"
         "\n\t\t: Calculation options (applicable only if input is a shape):"
         "\n\t\t:  -obb     Compute Oriented Bounding Box (OBB) instead of AABB."


(0090287)
msv (developer)
2020-02-04 15:01

src/BRepPrim/BRepPrim_GWedge.hxx
- Please do not use std::cout in the code. OCCT must not put to cout without any conditions. If it is needed for debug then surround printout by #ifdef _DEBUG statement.
- All field members must be initialized in the constructor (make it in .cxx file).

src/BRepPrim/BRepPrim_Wedge.hxx
- Do not use Standard_EXPORT for inline method.

src/BRepPrimAPI/BRepPrimAPI_MakeBox.hxx
- Do not use Standard_EXPORT for inline method.
- Please do not copy the (incorrect) description of the last version of the constructor. I propose to correct description to match it with the method purpose. This description is more appropriate to be description of the class itself (move it there please).

src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.hxx
- Please add the class description.
- The comment to the method Build() is incorrect
- line 47: misprint "compuund", and sentence is weird. The better:
Create a rectangle (compound of edges) if the box is thin in one direction only.

src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.cxx
- lines 36,42: compute this expression once only.
(0090288)
msv (developer)
2020-02-04 15:02

Also, please create several test cases to cover all the new code.
(0090296)
kgv (developer)
2020-02-05 10:20

                   "box name [dx dy dz] [x y z dx dy dz]"
         "\n\t\t:            [-min x y z] [-size dx dy dz] [-max x y z]"
         "\n\t\t:            [-dir x y z -xdir x y z] [-solid]"
         "\n\t\t: Construct axes-aligned box and put result into 'name' variable"
         "\n\t\t:  -min   box lower corner, origin; (0,0,0) by default"
         "\n\t\t:  -size  box dimensions   (alternative to -max)"
         "\n\t\t:  -max   box upper corner (alternative to -size)"
         "\n\t\t:  -dir   main direction of coordinate system (DZ by default)"
         "\n\t\t:  -xdir  x    direction of coordinate system (DX by default)"
         "\n\t\t:  -solid return NULL shape in case of zero box dimension;"
         "\n\t\t:         otherwise, non-solid shape will be created (vertex, edge, rectangle or 
box)."
(0090297)
nds (developer)
2020-02-05 10:27
edited on: 2020-02-05 10:27

Dear Kirill,

are there new desired parameters for the 'box' command?

(0090298)
kgv (developer)
2020-02-05 10:30

> are there new desired parameters for the 'box' command?
BRepPrimAPI_MakeBox has a constructor taking gp_Ax2, so that it makes sense supporting this argument in Draw command as well.
(0090306)
git (administrator)
2020-02-05 17:40

Branch CR31336_1 has been updated by sshutina.

SHA-1: e7569fa1b501ab526cfa7bea6d6671377256abb9


Detailed log of new commits:

Author: sshutina
Date: Wed Feb 5 17:39:01 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    #fix remarks

(0090310)
git (administrator)
2020-02-05 18:02

Branch CR31336_2 has been created by sshutina.

SHA-1: 6fa9ef25e38d74189a46e5d08fe6413864266066


Detailed log of new commits:

Author: sshutina
Date: Wed Feb 5 18:01:28 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRrepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the execution does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRrepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/preview (vertex, edge, rectangle, box)
(0090311)
sshutina (developer)
2020-02-05 18:04

Dear Mikhail

could you please review CR31336_2.

Thank you a lot, Svetlana
(0090312)
msv (developer)
2020-02-05 18:25

Remarks to commit message:
- misprint 'BRrepPreviewAPI'
- >BRepPrim_GWedge: in the case of non-valid data, the execution does not happen ...
  execution => exception
(0090315)
msv (developer)
2020-02-05 19:51

src/TKPrim/PACKAGES
- extra spaces after BRepPrimAPI
(0090316)
msv (developer)
2020-02-05 19:52

Move tests/preview to tests/tools/preview, and make sure they are running using 'testgrid tools preview' command.
(0090317)
msv (developer)
2020-02-05 20:32

src/BRepPrim/BRepPrim_GWedge.cxx
- lines 138-149: remove initialization of objects that have default constructor (myBuilder and myAxes).
- Not all fields are initialized in default constructor.

src/BRepPrimAPI/BRepPrimAPI_MakeBox.hxx
- 76: Init => Make

src/BRepPrimAPI/BRepPrimAPI_MakeBox.cxx
- 124: extra indent

src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.hxx
- 26: reformulate:
//! 3 - preview can be a rectangle (compound of edges) if thin box in only one direction is a point;
- Description of default constructor must not contain params.

BRepPreviewAPI_MakeBox inherits BRepPrimAPI_MakeBox. The latter has methods Init(). Why do you define the same methods in BRepPreviewAPI_MakeBox?

src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.cxx
- 159: checking condition is useless in the last case.
- 161-162: wht do you construct a new MakeBox object? This object's parent instance has been already initialized. Use it.
(0090318)
msv (developer)
2020-02-05 20:51

Did you tried to run your tests? They don't work.

- vclear must not be run before vinit.
- vtop must not be run if no view exists.
- all snapshots are empty, because you did not display any shape.

Please don't use v* commands. Use 'smallview +X+Y', donly, fit, xwd.
(0090319)
kgv (developer)
2020-02-05 20:57
edited on: 2020-02-05 20:57

> - vclear must not be run before vinit.
Well, this one is awkward, but it is a common practice - the command doesn't raise error in case of no viewer,
and calling it before 'vinit' avoids issue in some rare scenarios (within interactive execution of multiple test cases in scope of the same session).

(0090320)
msv (developer)
2020-02-05 21:10

src/BRepTest/BRepTest_PrimitiveCommands.cxx
- In case of '-solid' you set isPreview to true. It is incorrect. To preserve the old command behavior, it is better to rename this option to '-preview'.
(0090321)
msv (developer)
2020-02-05 21:15

>Well, this one is awkward, but it is a common practice - the command doesn't raise error in case of no viewer,
I agree, but in this test we do not need shaded view at all.
(0090328)
git (administrator)
2020-02-06 05:49

Branch CR31336_2 has been updated by nds.

SHA-1: 42b648ca823905824c398aba8b510a85577a8858


Detailed log of new commits:

Author: nds
Date: Thu Feb 6 05:49:28 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    # compilation correction

(0090337)
git (administrator)
2020-02-06 12:52

Branch CR31336_3 has been created by sshutina.

SHA-1: 529391ec7e711359a2f3f583d00abf6dcac5fb95


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 12:50:19 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/tools/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
(0090338)
git (administrator)
2020-02-06 13:01

Branch CR31336_3 has been updated by sshutina.

SHA-1: 9056e4001beac4b2089554c0dc3b90a41aa66787


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 13:00:27 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    #correct a name of parameter

(0090339)
git (administrator)
2020-02-06 13:04

Branch CR31336_4 has been created by sshutina.

SHA-1: 4d9c9c331a012ae5b5ce1366be1a1977996ec447


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 13:03:11 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/tools/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
(0090340)
sshutina (developer)
2020-02-06 13:07

Dear Mikhail

could you please review CR31336_4.

Jenkins job: http://jenkins-test-12.nnov.opencascade.com/view/CR31336-master-sshutina/ [^]

Thank you a lot, Svetlana
(0090363)
msv (developer)
2020-02-06 17:57

Well, the code is OK now.
But there is the problem with the tests. They are missing in the Jenkins test report. The category 'tools' is not included in the testing because of dependence on QT.
So, I propose to move the tests in other category. The best is 'geometry'.
Svetlana, please do it and retest.
(0090365)
git (administrator)
2020-02-06 18:06

Branch CR31336_4 has been updated by sshutina.

SHA-1: 33a2e2923d10e615032e0d187babb563c0ce61b1


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:05:29 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    #tests from tools to geometry

(0090366)
git (administrator)
2020-02-06 18:08

Branch CR31336_5 has been created by sshutina.

SHA-1: 1bcee5a9e0d2a1fa5fc1db860b02cb9cbca1ff22


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:07:33 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
(0090376)
nds (developer)
2020-02-07 06:01

Dear Mikhail,

Svetlana moved tests, please check.

Jenkins job: http://jenkins-test-12.nnov.opencascade.com/view/CR31336-master-sshutina/ [^] [^]

Best regards, Natalia
(0090385)
msv (developer)
2020-02-07 10:14

Why did not you create a rectangular face in case of degeneration in one direction?
I think it would be more logical to degenerate from solid to surface instead of a wire model.
(0090436)
nds (developer)
2020-02-10 09:37

Dear Svetlana,

could you please follow Mikhail's recommendation:

Correct fix by using BRepBuilderAPI_MakeEdge, BRepBuilderAPI_MakeWire and finaly BRepBuilderAPI_MakeFace.

Thank you, Natalia
(0090440)
msv (developer)
2020-02-10 10:23

Indeed, there are two possibilities:

1. Do what Natalia proposed, and finally use the following constructor of MakeFace:
BRepBuilderAPI_MakeFace(const TopoDS_Wire& W, const Standard_Boolean OnlyPlane = Standard_False);

2. Skip edges and wire creation, and call only MakeFace:
BRepBuilderAPI_MakeFace(const gp_Pln& P, const Standard_Real UMin, const Standard_Real UMax, const Standard_Real VMin, const Standard_Real VMax);
In this case you need only to build the correct plane object.

Choose the simplest one.
(0090444)
git (administrator)
2020-02-10 10:55

Branch CR31336_5 has been updated by sshutina.

SHA-1: 05306c8e695b9dd5a4651c849560911069cccfe1


Detailed log of new commits:

Author: sshutina
Date: Mon Feb 10 10:50:22 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
    
    #rectangle creation fix

(0090446)
git (administrator)
2020-02-10 11:04

Branch CR31336_6 has been created by sshutina.

SHA-1: 56299d568cf9acd33639ccb8d18773ec35dc0e50


Detailed log of new commits:

Author: sshutina
Date: Mon Feb 10 11:02:43 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
(0090453)
sshutina (developer)
2020-02-10 13:32

Dear Mikhail

could you please review CR31336_6.

Thank you a lot, Svetlana
(0090455)
msv (developer)
2020-02-10 14:46

You should update all comments where rectangle is described as a compound of edges. Now it is a rectangular face.
(0090456)
kgv (developer)
2020-02-10 15:41

+  #ifdef _DEBUG
+    std::cout << "Not valid box: vertex" << std::endl;
+  #endif
...
+  #ifdef _DEBUG
+    std::cout << "Not valid box: edge" << std::endl;
+  #endif
...
+  #ifdef _DEBUG
+    std::cout << "Not valid box: rectangle" << std::endl;
+  #endif

Please remove all temporary debug stuff.
Debug builds should not generate unexpected output to std::cout.

+private:
+
+};

Redundant empty section.

+      aXDir.SetX (Draw::Atof(a[anArgIter + 1]));
+      aXDir.SetY (Draw::Atof(a[anArgIter + 2]));
+      aXDir.SetZ (Draw::Atof(a[anArgIter + 3]));

Per-component assignment will not work for gp_Dir like this.
Check documentation of SetX() for this class.
(0090460)
git (administrator)
2020-02-10 16:28

Branch CR31336_6 has been updated by sshutina.

SHA-1: 98277d8e76334d9d3c086d5186c202a23d14998d


Detailed log of new commits:

Author: sshutina
Date: Mon Feb 10 16:27:37 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
    
    #fix remarks

(0090461)
git (administrator)
2020-02-10 16:34

Branch CR31336_7 has been created by sshutina.

SHA-1: 6bcfb23da0505dbd663b311599e43525908ec8c5


Detailed log of new commits:

Author: sshutina
Date: Mon Feb 10 16:32:56 2020 +0300

    0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation
    
    -Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
    -Create a new class BRepPreviewAPI_MakeBox for working with a box
        Preview can be vertex, edge, rectangle or box
    -BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
    -BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
    -Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
    -Update a command "box": add new parameters
(0090466)
sshutina (developer)
2020-02-11 12:18

Dear Mikhail

could you please review CR31336_7.

Thank you a lot, Svetlana
(0090492)
bugmaster (administrator)
2020-02-12 13:54

Tested in framework of WEEK-7

Combination -
OCCT branch : WEEK-7
master SHA - ed81d053016438d0b36485eefa9da2a90616f824
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-7 SHA - fa93736d0dfc60600eb038f1a228db0ca19b8500
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16972.490000000067 / 16995.740000000096 [-0.14%]
Products
Total CPU difference: 11439.249999999975 / 11455.569999999962 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 18436.9375 / 18439.6875 [-0.01%]
Products
Total CPU difference: 13329.09375 / 13351.46875 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090534)
git (administrator)
2020-02-15 15:05

Branch CR31336_4 has been deleted by inv.

SHA-1: 33a2e2923d10e615032e0d187babb563c0ce61b1
(0090535)
git (administrator)
2020-02-15 15:05

Branch CR31336_3 has been deleted by inv.

SHA-1: 9056e4001beac4b2089554c0dc3b90a41aa66787
(0090536)
git (administrator)
2020-02-15 15:05

Branch CR31336_2 has been deleted by inv.

SHA-1: 42b648ca823905824c398aba8b510a85577a8858
(0090538)
git (administrator)
2020-02-15 15:05

Branch CR31336_1 has been deleted by inv.

SHA-1: e7569fa1b501ab526cfa7bea6d6671377256abb9
(0090540)
git (administrator)
2020-02-15 15:05

Branch CR31336 has been deleted by inv.

SHA-1: 6b48c0590891b981267024f723404d3f6e7a9a84
(0090648)
git (administrator)
2020-02-23 12:25

Branch CR31336_5 has been deleted by inv.

SHA-1: 05306c8e695b9dd5a4651c849560911069cccfe1
(0090649)
git (administrator)
2020-02-23 12:25

Branch CR31336_6 has been deleted by inv.

SHA-1: 98277d8e76334d9d3c086d5186c202a23d14998d
(0090650)
git (administrator)
2020-02-23 12:25

Branch CR31336_7 has been deleted by inv.

SHA-1: 6bcfb23da0505dbd663b311599e43525908ec8c5

- Related Changesets
occt: master 10ac0403
Timestamp: 2020-02-10 13:32:56
Author: sshutina
Committer: bugmaster
Details ] Diff ]
0031336: Modeling data - extend BRepPrimAPI_MakeBox with planar shape creation

-Create a new package BRepPreviewAPI, inherited from BRepPrimAPI to create both, valid and degenerative shapes
-Create a new class BRepPreviewAPI_MakeBox for working with a box
    Preview can be vertex, edge, rectangle or box
-BRepPrim_GWedge: in the case of non-valid data, the exception does not happen in the constructor, but at the moment of access to the shape
-BRepPrimAPI_MakeBox: myWedge is now not private, but protected, because used in BRepPreviewAPI_MakeBox which inherits from BRepPrimAPI_MakeBox
-Add tests for checking of a creation a preview in tests/geometry/preview (vertex, edge, rectangle, box)
-Update a command "box": add new parameters
mod - adm/UDLIST Diff ] File ]
add - src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.cxx Diff ] File ]
add - src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.hxx Diff ] File ]
add - src/BRepPreviewAPI/FILES Diff ] File ]
mod - src/BRepPrim/BRepPrim_GWedge.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_GWedge.hxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_Wedge.hxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeBox.cxx Diff ] File ]
mod - src/BRepPrimAPI/BRepPrimAPI_MakeBox.hxx Diff ] File ]
mod - src/BRepTest/BRepTest_PrimitiveCommands.cxx Diff ] File ]
mod - src/TKPrim/PACKAGES Diff ] File ]
mod - tests/geometry/grids.list Diff ] File ]
add - tests/geometry/preview/box Diff ] File ]
add - tests/geometry/preview/edge Diff ] File ]
add - tests/geometry/preview/rectangle Diff ] File ]
add - tests/geometry/preview/vertex Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-30 22:41 nds New Issue
2020-01-30 22:41 nds Assigned To => msv
2020-01-30 22:42 nds Relationship added child of 0030268
2020-01-30 22:48 kgv Severity minor => feature
2020-01-31 15:39 msv Note Added: 0090233
2020-01-31 16:37 git Note Added: 0090235
2020-02-03 11:41 nds Assigned To msv => sshutina
2020-02-04 12:25 git Note Added: 0090281
2020-02-04 12:43 git Note Added: 0090282
2020-02-04 13:17 sshutina File Added: create_preview.PNG
2020-02-04 13:19 sshutina Note Added: 0090283
2020-02-04 13:19 sshutina Assigned To sshutina => msv
2020-02-04 13:19 sshutina Status new => resolved
2020-02-04 14:02 msv Note Added: 0090284
2020-02-04 14:24 msv Note Added: 0090285
2020-02-04 14:57 kgv Note Added: 0090286
2020-02-04 14:58 kgv Assigned To msv => sshutina
2020-02-04 14:58 kgv Status resolved => assigned
2020-02-04 15:00 kgv Note Edited: 0090286 View Revisions
2020-02-04 15:01 msv Note Added: 0090287
2020-02-04 15:02 msv Note Added: 0090288
2020-02-05 10:20 kgv Note Added: 0090296
2020-02-05 10:27 nds Note Added: 0090297
2020-02-05 10:27 nds Note Edited: 0090297 View Revisions
2020-02-05 10:30 kgv Note Added: 0090298
2020-02-05 17:40 git Note Added: 0090306
2020-02-05 18:02 git Note Added: 0090310
2020-02-05 18:04 sshutina Note Added: 0090311
2020-02-05 18:04 sshutina Assigned To sshutina => msv
2020-02-05 18:04 sshutina Status assigned => resolved
2020-02-05 18:25 msv Note Added: 0090312
2020-02-05 19:51 msv Note Added: 0090315
2020-02-05 19:52 msv Note Added: 0090316
2020-02-05 20:32 msv Note Added: 0090317
2020-02-05 20:51 msv Note Added: 0090318
2020-02-05 20:57 kgv Note Added: 0090319
2020-02-05 20:57 kgv Note Edited: 0090319 View Revisions
2020-02-05 21:10 msv Note Added: 0090320
2020-02-05 21:11 msv Assigned To msv => sshutina
2020-02-05 21:11 msv Status resolved => assigned
2020-02-05 21:15 msv Note Added: 0090321
2020-02-06 05:49 git Note Added: 0090328
2020-02-06 12:52 git Note Added: 0090337
2020-02-06 13:01 git Note Added: 0090338
2020-02-06 13:04 git Note Added: 0090339
2020-02-06 13:07 sshutina Note Added: 0090340
2020-02-06 13:07 sshutina Assigned To sshutina => msv
2020-02-06 13:07 sshutina Status assigned => resolved
2020-02-06 17:57 msv Note Added: 0090363
2020-02-06 17:57 msv Assigned To msv => sshutina
2020-02-06 17:57 msv Status resolved => assigned
2020-02-06 18:06 git Note Added: 0090365
2020-02-06 18:08 git Note Added: 0090366
2020-02-07 06:01 nds Note Added: 0090376
2020-02-07 06:01 nds Assigned To sshutina => msv
2020-02-07 06:01 nds Status assigned => resolved
2020-02-07 10:14 msv Note Added: 0090385
2020-02-07 10:16 msv Assigned To msv => nds
2020-02-07 10:16 msv Status resolved => feedback
2020-02-10 09:37 nds Note Added: 0090436
2020-02-10 09:37 nds Assigned To nds => sshutina
2020-02-10 09:37 nds Status feedback => assigned
2020-02-10 10:23 msv Note Added: 0090440
2020-02-10 10:55 git Note Added: 0090444
2020-02-10 11:04 git Note Added: 0090446
2020-02-10 13:32 sshutina Note Added: 0090453
2020-02-10 13:32 sshutina Assigned To sshutina => msv
2020-02-10 13:32 sshutina Status assigned => resolved
2020-02-10 14:46 msv Note Added: 0090455
2020-02-10 14:46 msv Assigned To msv => sshutina
2020-02-10 14:46 msv Status resolved => assigned
2020-02-10 15:41 kgv Note Added: 0090456
2020-02-10 16:28 git Note Added: 0090460
2020-02-10 16:34 git Note Added: 0090461
2020-02-11 12:18 sshutina Note Added: 0090466
2020-02-11 12:18 sshutina Assigned To sshutina => msv
2020-02-11 12:18 sshutina Status assigned => resolved
2020-02-11 16:22 msv Assigned To msv => bugmaster
2020-02-11 16:22 msv Status resolved => reviewed
2020-02-12 13:54 bugmaster Note Added: 0090492
2020-02-12 13:54 bugmaster Status reviewed => tested
2020-02-12 13:59 bugmaster Test case number => geometry/preview/box, geometry/preview/edge, geometry/preview/rectangle, geometry/preview/vertex
2020-02-12 14:27 kgv Relationship added related to 0031368
2020-02-15 14:55 bugmaster Changeset attached => occt master 10ac0403
2020-02-15 14:55 bugmaster Status tested => verified
2020-02-15 14:55 bugmaster Resolution open => fixed
2020-02-15 15:05 git Note Added: 0090534
2020-02-15 15:05 git Note Added: 0090535
2020-02-15 15:05 git Note Added: 0090536
2020-02-15 15:05 git Note Added: 0090538
2020-02-15 15:05 git Note Added: 0090540
2020-02-23 12:25 git Note Added: 0090648
2020-02-23 12:25 git Note Added: 0090649
2020-02-23 12:25 git Note Added: 0090650


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker